## org.apache.myfaces.util
Class NullIterator

    java.lang.Object
      org.apache.myfaces.util.NullIterator

All Implemented Interfaces:
  java.util.Iterator

public final class NullIterator
extends java.lang.Object
implements java.util.Iterator

Iterator without elements

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Anton Koinov (latest modification by $Author: grantsmith $)

Constructor Summary
`NullIterator()`

Method Summary
`boolean` `hasNext()`
`static java.util.Iterator` `instance()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullIterator

    public NullIterator()

Method Detail

### instance

    public static final java.util.Iterator instance()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`